Subject: bug#75576: [PATCH] Take the tab-line into account when computing the window edges

From: Juri Linkov <[email-masked]>
Date: Thu, 16 Jan 2025 09:50:50 +0200

close 75576 31.0.50
thanks

>> >> > This was causing EXWM to mis-calculate the window height when centaur
>> >> > tabs were used. See https://github.com/emacs-exwm/exwm/pull/114.
>> >> 
>> >> Eli, is this patch eligible to be installed on the emacs-30 release branch?
>> >
>> > Is that really urgent?  We've lived with this since Emacs 27, I guess?
>> 
>> It's a nice to have but not urgent. I plan on adding a workaround to
>> EXWM anyways and I doubt many others are impacted. The only question is
>> which version to check in that workaround.
>
> Then I prefer to install this on master.  We can consider backporting
> it after Emacs 30.1 is released, if no problems are reported for the
> change on master.

So now pushed to master.

Thanks Steven for the patch.